/*
-2006/02/15: Petre M.
  -this file contains extern declarartions of functions and variables used
  in LCD_lib.c

*/

//this is the buffer that mirrors the LCD used on the board
  char idata LCD_buffer[15];

  char const code Digit_Table[10] = {
    0x7d, //0
    0x60, //1
    0x3e, //2
    0x7a, //3
    0x63, //4
    0x5b, //5
    0x5f, //6
    0x70, //7
    0x7f, //8
    0x7b, //9
};





  //I_1A_threshold=1000/Ratio*2^16 = a number on 16 bits
  //Ratio is a number representing the number of bits correspondign to 1Amp
  int idata I_1A_threshold _at_ 0x2a;

  //V_1V_threshold=100/Ratio*2^16 = a number on 16 bits
  //Ratio is a number representing the number of bits corresponding to 1V
  int idata V_1V_threshold _at_ 0x2c;


  void Manage_Numbers(char Nr_Fract_Digits);
  void Setup_LCD(void);
  void Display_to_LCD(void);
  void Manage_Time(void);
  void Manage_Display(void);
  void Manage_LCD_commands(void);
  void Blink_LCD(char BLKFREQ);
  void Display_Time_Date(char idata *iram_ptr1);
  void Active_Energy_Display(void);
  void IRMS_Display(void);
  void VRMS_Display(void);
  void Date_Display(void);
  void Irms_threshold_read(void);
  void Vrms_threshold_read(void);
  void Display_Number(char Nr_Fract_Digits, unsigned int unit_ratio);

